FROM rancher/server:stable

RUN apt-get update && apt-get -y install \
  nginx augeas-lenses binutils cpp cpp-4.8 \
  gcc gcc-4.8 libasan0 libatomic1 libaugeas0 \
  libc-dev-bin libc6-dev libcloog-isl4 \
  libexpat1-dev libffi-dev libgcc-4.8-dev \
  libgmp10 libgomp1 libisl10 libitm1 libmpc3 \
  libmpfr4 libpython-dev libpython-stdlib \
  libpython2.7 libpython2.7-dev libpython2.7-minimal \
  libpython2.7-stdlib libquadmath0 libssl-dev \
  libtsan0 linux-libc-dev python python-dev \
  python-minimal python-pkg-resources \
  python-setuptools python-virtualenv \
  python2.7 python2.7-dev python2.7-minimal zlib1g-dev

RUN curl -o /usr/bin/certbot-auto -L https://dl.eff.org/certbot-auto
RUN chmod +x /usr/bin/certbot-auto

ADD *.template /etc/nginx/conf.d/
ADD entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

ENTRYPOINT ["/entrypoint.sh"]
